%define upstream_name    Thread-IID
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Unique Interpreter IDs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Thread/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl-devel
%description
This provides an identifier to distinguish Perl interpreter instances. In environments like mod_perl2, where interpreters can be cloned and passed
around between OS threads, the thread ID gives no indication of which
interpreter instance is actually running and hence which corresponding set
of values/data-structures is actually being referenced. For such situations
the interpreter ID is more likely to be what you actually want.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-3.mga3
+ Revision: 374260
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-2.mga3
+ Revision: 251241
- rebuild for perl 5.16

* Tue Feb 21 2012 kharec <kharec> 0.40.0-1.mga2
+ Revision: 211737
- update to 0.04

* Sun Dec 04 2011 kharec <kharec> 0.30.0-1.mga2
+ Revision: 175944
- update to 0.03

* Sun Dec 04 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 175936
- imported package perl-Thread-IID

